import React from 'react';
import { BlockType, FileType, OCRBlockRenderProps, OcrData } from './ReactOCRRenderer.types';
declare const ReactOCRRenderer: ({ file, type, ocrData, searchText, highlightedBlockTypes, customRenderComponent }: {
    file: string;
    type: FileType;
    ocrData: OcrData;
    searchText?: string | string[] | undefined;
    highlightedBlockTypes?: BlockType[] | undefined;
    customRenderComponent?: ((props: OCRBlockRenderProps) => JSX.Element) | undefined;
}) => React.JSX.Element;
export default ReactOCRRenderer;
