import React from "react";
import { BlockType, FileType, TextractBlock, TextractBlockRenderProps } from "./ReactTextractRenderer.types";
declare const ReactTextractRenderer: ({ file, type, textractJson, searchText, highlightedBlockTypes, customRenderComponent }: {
    file: string;
    type: FileType;
    textractJson: {
        Blocks: TextractBlock[];
        DocumentMetadata: {
            Pages: number;
        };
    };
    searchText?: string | string[] | undefined;
    highlightedBlockTypes?: BlockType[] | undefined;
    customRenderComponent?: ((props: TextractBlockRenderProps) => JSX.Element) | undefined;
}) => React.JSX.Element;
export default ReactTextractRenderer;
