import React from 'react';
import { TextractBlock, TextractBlockRenderProps } from '../../ReactTextractRenderer.types';
declare const TextractPdfRenderer: ({ file, textractData, customRenderComponent }: {
    file: string;
    textractData: {
        [key: number]: TextractBlock[];
    };
    customRenderComponent?: ((props: TextractBlockRenderProps) => JSX.Element) | undefined;
}) => React.JSX.Element;
export default TextractPdfRenderer;
